Your message dated Fri, 14 Oct 2016 11:53:16 +0000
with message-id <>
and subject line Bug#836604: Removed package(s) from unstable
has caused the Debian Bug report #825504,
regarding clang-3.6: clang++-3.6 does not find libstdc++ headers on !linux
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact

Debian Bug Tracking System
Contact with problems
--- Begin Message ---
Package: clang-3.6
Version: 1:3.6.2-3
Severity: important


clang++-3.6 does not work properly on kfreebsd-amd64, and I'd expect the
same happens on the other non-linux architectures, too:

$ echo '#include <iostream>' | clang++-3.6 -v -x c++ -E - >/dev/null
Debian clang version 3.6.2-3 (tags/RELEASE_362/final) (based on LLVM 3.6.2)
Target: x86_64-pc-kfreebsd-gnu
Thread model: posix
 "/usr/lib/llvm-3.6/bin/clang" -cc1 -triple x86_64-pc-kfreebsd-gnu -E 
-disable-free -disable-llvm-verifier -main-file-name - -mrelocation-model 
static -mthread-model posix -mdisable-fp-elim -fmath-errno -masm-verbose 
-mconstructor-aliases -munwind-tables -target-cpu x86-64 -target-linker-version 
2.25.1 -v -dwarf-column-info -resource-dir 
/usr/lib/llvm-3.6/bin/../lib/clang/3.6.2 -fdeprecated-macro 
-fdebug-compilation-dir /home/anbe/pocl -ferror-limit 19 -fmessage-length 214 
-mstackrealign -fobjc-runtime=gcc -fcxx-exceptions -fexceptions 
-fdiagnostics-show-option -fcolor-diagnostics -o - -x c++ -
clang -cc1 version 3.6.2 based upon LLVM 3.6.2 default target 
#include "..." search starts here:
#include <...> search starts here:
End of search list.
<stdin>:1:10: fatal error: 'iostream' file not found
#include <iostream>
1 error generated.


--- End Message ---
--- Begin Message ---
Version: 1:3.6.2-4+rm

Dear submitter,

as the package llvm-toolchain-3.6 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see

The version of this package that was in Debian prior to this removal
can still be found using

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing

Debian distribution maintenance software
Scott Kitterman (the ftpmaster behind the curtain)

--- End Message ---

Reply via email to